Bug 467662 - (muine-missing-dep) muine-0.8.8-9.fc9.i386 missing dependencies
muine-0.8.8-9.fc9.i386 missing dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: muine (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 00:24 EDT by ryuhei yokokawa
Modified: 2008-12-21 18:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:37:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ryuhei yokokawa 2008-10-20 00:24:43 EDT
Description of problem:
Muine will not start since it is missing components it needs to start itself.

Version-Release number of selected component (if applicable):
muine-0.8.8-9.fc9.i386

How reproducible:
Every time 

Steps to Reproduce:
1.Either click muine icon, menu item, or start from terminal
2.
3.
  
Actual results:
Muine fails to start

Expected results:
Muine should start

Additional info:
I think a similar situation happened here as bug 457662.
package management got messed up.

I installed ndesk-dbus, ndesk-dbus-glib, and gnome-sharp and muine started fine.


** (/usr/lib/muine/muine.exe:9690): WARNING **: The following assembly referenced from /usr/lib/muine/muine.exe could not be loaded:
     Assembly:   NDesk.DBus.GLib    (assemblyref_index=8)
     Version:    1.0.0.0
     Public Key: f6716e4f9b2ed099
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib/muine).


** (/usr/lib/muine/muine.exe:9690): WARNING **: Could not load file or assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.

** (/usr/lib/muine/muine.exe:9690): WARNING **: Missing method Init in assembly /usr/lib/muine/muine.exe, type NDesk.DBus.BusG

Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.
File name: 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099'
bash-3.2$ muine

** (/usr/lib/muine/muine.exe:9694): WARNING **: The following assembly referenced from /usr/lib/muine/muine.exe could not be loaded:
     Assembly:   NDesk.DBus.GLib    (assemblyref_index=8)
     Version:    1.0.0.0
     Public Key: f6716e4f9b2ed099
The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/usr/lib/muine).


** (/usr/lib/muine/muine.exe:9694): WARNING **: Could not load file or assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.

** (/usr/lib/muine/muine.exe:9694): WARNING **: Missing method Init in assembly /usr/lib/muine/muine.exe, type NDesk.DBus.BusG

Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.
File name: 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099'
Comment 1 Fedora Update System 2008-12-02 07:36:38 EST
muine-0.8.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/muine-0.8.10-2.fc10
Comment 2 Sindre Pedersen Bjørdal 2008-12-03 19:05:37 EST
new update coming: http://admin.fedoraproject.org/updates/muine-0.8.10-3.fc10

Note You need to log in before you can comment on or make changes to this bug.